com.google.appengine.api.datastore

## Class Query.FilterPredicate

- java.lang.Object
- - com.google.appengine.api.datastore.Query.Filter
  - - com.google.appengine.api.datastore.Query.FilterPredicate

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Query

      public static final class Query.FilterPredicate
      extends Query.Filter

  A `Query.Filter` on a single property.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query.FilterPredicate(java.lang.String propertyName, Query.FilterOperator operator, java.lang.Object value)` Constructs a filter predicate from the given parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `Query.FilterOperator` | `getOperator()` Gets the operator describing how to apply the filter.
    `java.lang.String` | `getPropertyName()` Gets the name of the property to be filtered on.
    `java.lang.Object` | `getValue()` Gets the argument to the filter operator.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Query.FilterPredicate

          public Query.FilterPredicate(java.lang.String propertyName,
                               Query.FilterOperator operator,
                               java.lang.Object value)

      Constructs a filter predicate from the given parameters.
      Parameters:
        `propertyName` - the name of the property on which to filter
        `operator` - the operator to apply
        `value` - A single instances of a supported type or if `operator` is `Query.FilterOperator.IN` a non-empty `Iterable` object containing instances of supported types.
      Throws:
        `java.lang.IllegalArgumentException` - If the provided filter values are not supported.
      See Also:
        `DataTypeUtils.isSupportedType(Class)`

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Gets the name of the property to be filtered on.

    - #### getOperator

          public Query.FilterOperator getOperator()

      Gets the operator describing how to apply the filter.

    - #### getValue

          public java.lang.Object getValue()

      Gets the argument to the filter operator.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`